import { OnInit, SimpleChange } from '@angular/core';
import { DefaultTheme } from '../componentsDefaultTheme';
export interface IDimensions {
    width: number;
    height: number;
}
export interface IRatingBarChanges {
    value?: SimpleChange;
    width?: SimpleChange;
    [key: string]: SimpleChange;
}
export declare class RatingBarComponent implements OnInit {
    value: number;
    min: number;
    max: number;
    width: number;
    height: number;
    background: string;
    backgroundClass: string;
    dimensions: IDimensions;
    calculatedWidth: number;
    barClass: string;
    private ratingBarClass;
    private ratingBarBackgrounds;
    private useDefaultTheme;
    constructor(defaultTheme: DefaultTheme);
    ngOnInit(): void;
    ngOnChanges(changes: IRatingBarChanges): void;
    private updateValue(newValue);
    private updateDimensions(totalWidth);
}
